
import 'package:origami_database/models/backupModel.dart';

enum DatabaseType
{
  MongoDb,
}
class DatabaseConnection
{
  String name='';
  String host='localhost';
  String username='';
  String password='';
  String database='';
  int port=27017;
  DatabaseType type=DatabaseType.MongoDb;
  BackupModel backup;
  DatabaseConnection( );
  
  DatabaseConnection.fromJson(dynamic data)
  {
    if(data['name']!=null) name=data['name'];
    if(data['host']!=null) host=data['host']; 
    if(data['username']!=null) username=data['username']; 
    if(data['password']!=null) password=data['password']; 
    if(data['database']!=null) database=data['database']; 
    if(data['port']!=null) port=data['port'];  
    if(data['backup']!=null) backup=BackupModel.fromJson(data['backup']) ;  
    if(data['type']=='MongoDb')
    {
      type=DatabaseType.MongoDb;
    }
  }
  static List<DatabaseConnection> fromList(dynamic data)
  {
    var l=<DatabaseConnection>[];
    for(var a in data)
    {
      l.add(DatabaseConnection.fromJson(a));
    }
    return l;
  }
}