
import 'package:origamicore/routing/routeResponse.dart';
import '../models/odataModel.dart';
import '../models/queryModel.dart';

abstract class DatabaseIndex
{
  Future<void> Connect() ;
  Future<ResponseDataModel> Search(String table,QueryModel model,Odata odata);
  Future<ResponseDataModel> SearchOne(String table,QueryModel model);
  Future<ResponseDataModel> Save(String table,List<String> keys,dynamic data);
  Future<ResponseDataModel> DeleteOne(String table,List<String> keys,dynamic data);
  Future<ResponseDataModel> Delete(String table,QueryModel model);
  Future<void> Backup();
}